JCE cannot authenticate the provider BC

View some of the Frequently Asked Questions to our support staff. Included are some tips and tricks making this forum ideal for users getting started with GoAnywhere MFT. Note: Users can reply to existing topics but only our support staff can add new topics to this forum.
1 post Page 1 of 1

Support_Jerrod

Support Specialist
Posts: 11
Joined: Wed Dec 13, 2017 5:52 pm

Post by Support_Jerrod » Fri Apr 23, 2021 3:43 pm
The error java.lang.SecurityException: JCE cannot authenticate the provider BC
at javax.crypto.Cipher.getInstance(Unknown Source)
has been reported after applying
  • PTF Group SF99730 Level 20310.
The update breaks PGP encryption/decryption. Other issues around encryption/ciphers may be encountered with SFTP/AS2 as well.

The update only affects customers running on older (5.X) versions of GoAnywhere MFT installed on the iSereies.

Resolution/Workaround Options:
  • Revert the PTFs
  • Upgrade GoAnywhere MFT to version 6.0.4 or later.
  • In some rare instances, switching to another version of Java may resolve. If running on java 7,try Java 8 (changing-java-1122)
Jerrod Foster
Support Analyst

e. [email protected]
p. 1.800.949.4696
w. HelpSystems.com
1 post Page 1 of 1